package com.ms.dal.mapper;

import com.ms.dal.entity.PurchaseOrderItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.ms.dal.PurchaseOrderItem
 */
@Mapper
public interface PurchaseOrderItemMapper {

    int deleteByPrimaryKey(Long id);

    int insert(PurchaseOrderItem record);

    int insertOrUpdate(PurchaseOrderItem  record);

    int insertSelective(PurchaseOrderItem record);

    PurchaseOrderItem selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(PurchaseOrderItem record);

    int updateByPrimaryKey(PurchaseOrderItem record);

    int insertBatch(List<PurchaseOrderItem> list);

    int updateStatusByPurchaseOrderIds(@Param("status") String status, @Param("purchaseOrderIds") List<Long> purchaseOrderIds);

    List<PurchaseOrderItem> getListByPurchaseOrderId(@Param("purchaseOrderId") Long purchaseOrderId);
}
